Skip to navigation

Delete Tray health report

View as Markdown

Remove a health report override for a specific Tray. Compute targets the Machine health report, NVSwitch targets the Switch health report, and PowerShelf targets the Power Shelf health report. If the Tray ID uses a recognized component namespace that conflicts with type, the request returns 400. If a valid ID in the selected namespace does not identify an existing resource, the request returns 404.

Org must have an Infrastructure Provider entity that owns the Site. User must have authorization role with PROVIDER_ADMIN suffix.

Authentication

AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"

# Example org name: "acme-inc
export ORG_NAME=<org-name>

# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

Path parameters

orgstringRequired
Name of the Org
idstringRequired
Component ID of the Tray
sourcestringRequired
Health report source

Query parameters

siteIdstringRequiredformat: "uuid"
ID of the Site that owns the Tray
typeenumRequired

Tray type used to select the corresponding component health-report resource

Allowed values:

Response

Tray health report was successfully removed

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
504
Gateway Timeout Error